petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSPseudoTimeStepDefault

Default code to compute pseudo-timestepping. Use with TSPseudoSetTimeStep().

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSPseudoTimeStepDefault(TS ts,PetscReal *newdt,void *dtctx)

Collective on TS Many br

### Input Parameters

ts -the timestep context Many br
dtctx -unused timestep context Many br

### Output Parameter

newdt -the timestep to use for the next step Many br

Many br

### Keywords

timestep, pseudo, default

### See Also

TSPseudoSetTimeStep(), TSPseudoComputeTimeStep()

Level:advanced
Location:src/ts/impls/pseudo/posindep.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex1.c.html